package com.example.petstoremobile.models;

public class Sale {
    private int saleId;
    private String saleDate;
    private String employeeName;
    private String itemName;
    private int quantity;
    private double unitPrice;
    private double total;
    private String paymentMethod;
    private boolean isRefund;

    public Sale(int saleId, String saleDate, String employeeName, String itemName,
                int quantity, double unitPrice, double total, String paymentMethod, boolean isRefund) {
        this.saleId = saleId;
        this.saleDate = saleDate;
        this.employeeName = employeeName;
        this.itemName = itemName;
        this.quantity = quantity;
        this.unitPrice = unitPrice;
        this.total = total;
        this.paymentMethod = paymentMethod;
        this.isRefund = isRefund;
    }

    public int getSaleId() {
        return saleId;
    }

    public String getSaleDate() {
        return saleDate;
    }

    public String getEmployeeName() {
        return employeeName;
    }

    public String getItemName() {
        return itemName;
    }

    public int getQuantity() {
        return quantity;
    }

    public double getUnitPrice() {
        return unitPrice;
    }

    public double getTotal() {
        return total;
    }

    public String getPaymentMethod() {
        return paymentMethod;
    }

    public boolean isRefund() {
        return isRefund;
    }
}
